Name:		shlock		
Version:	1.1.0
Release:	2%{?dist}
Summary:	Program to produce reliable locks for shell scripts.

Group:		Applications/Utilities
License:	BSD	
URL:		http://man.netbsd.org/7.0/usr/share/man/html1/shlock.html
Source0:	%{name}-%{version}.tar.gz


%description
The shlock command can create or verify a lock file on behalf of a shell or other script program. When it attempts to create a lock file, if one already exists, shlock verifies that it is or is not valid. If valid, shlock will exit with a non-zero exit code. If invalid, shlock will remove the lock file, and create a new one.

%prep
%setup -q


%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

find $RPM_BUILD_ROOT -ls


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
*Thu Oct 29 2015 Aedan Dispenza <ad778@nbcs.rutgers.edu> 1.1.0-2
- Fixed man page not being installed correctly

*Thu Oct 15 2015 Aedan Dispenza <ad778@nbcs.rutgers.edu> 1.1.0-1
- Initial build for Rutgers repos

